
Foreman - Feature #11577

Add additional volume to OpenStack

08/26/2015 01:24 PM - Andre Mosin

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - OpenStack   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a new virtual machine using OpenStack compute resource we wanted to be able to add a second volume to it

"/dev/vdb" in addition to the boot volume.  The second volume will only be created in case the size value is > 0.

I already implemented and tested this feature in our Lab, and I will be committing the code change to Github right after I create this

issue.

Any feedback on this change is appreciated.

Thanks!

Andre

Related issues:

Related to Foreman - Feature #13259: Hammer : add addtional volume to Opensta... Duplicate 01/18/2016 01/31/2016

History

#1 - 08/26/2015 01:37 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2640 added

- Pull request deleted ()

#2 - 09/01/2015 05:29 AM - Dominic Cleal

- translation missing: en.field_release deleted (72)

#3 - 01/18/2016 05:49 AM - Dominic Cleal

- Related to Feature #13259: Hammer : add addtional volume to Openstack via l'api Hammer added

#4 - 05/05/2016 03:46 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Andre Mosin)

- Pull request deleted (https://github.com/theforeman/foreman/pull/2640)

PR closed due to inactivity, please feel free to re-open.
